Package net.shibboleth.shared.spring.config

# Class StringToDurationConverter

java.lang.Object
net.shibboleth.shared.spring.config.StringToDurationConverter

All Implemented Interfaces:
  `Converter<String,Duration>`

public class StringToDurationConverter extends Object implements Converter<String,Duration>
Allows setting of Duration-valued properties using lexical string form.

## Constructor Summary

Constructors
Constructor
Description
`StringToDurationConverter()`

## Method Summary

Modifier and Type
Method
Description
`Duration`
`convert(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

## Constructor Details

### StringToDurationConverter

public StringToDurationConverter()

## Method Details

### convert

public Duration convert(@Nonnull String source)

Specified by:
  `convert` in interface `Converter<String,Duration>`